      function readoisst( ascii_oi,ierr )

      character*72 ctext
      character*12    ascii_oi
      dimension ihead(5),rsst(360,180),mat(9),dat(11)
      integer*4         irsst(360,180)
      integer*4  ierr,ios1
      real*4	tempoi(360,180)
      real*4	buf(11,7)
      real*4	tempoi2(361,180)
cq    save tempoi,tempoi2

cc      common/area1/tempoi(1,1)
      common/area1/tempoi

c--------------------------------------------------------

c unit 15 is oiupdate file

c     open(unit=15,file='fort.15',err=1010)
      ierr=-1
cxxx      write(6,*)  'In readoisst - ierr= ',ierr
      open(unit=15,file=ascii_oi,err=1010,iostat=ios1)
      ierr=-2
cxxx      write(6,*)  'In readoisst - ierr= ',ierr
cxxx      write(6,*)  'In readoisst - ios1= ',ios1

      read(15,*,err=1020,end=1030,iostat=ios1) ihead
      ierr=-3
cxxx      write(6,*)  'In readoisst - ierr= ',ierr
cxxx      write(6,*)  'In readoisst - ios1= ',ios1


      read(15,'(20I4)',err=1020,end=1030) ((irsst(i,j),i=1,360),
     1  j=1,180)
      ierr=-4
cxxx      write(6,*)  'In readoisst - ierr= ',ierr

      do 24 j=1,180
        do 22 i=1,360
          rsst(i,j)=0.10*float(irsst(i,j))
          rsst(i,j)=0.10*float(2732+irsst(i,j))
   22   continue
   24 continue
                     do j=14,180,50
                      do i=14,360,50
			write(6,*) 'rsst: ',j,i,irsst(i,j),rsst(i,j)
                      enddo
                     enddo

      ierr=-5
      write(6,*)  'In readoisst - ierr= ',ierr
      close(15)
      ierr=-6
      write(6,*)  'In readoisst - ierr= ',ierr

c rearange lat/lon grid
c     rsst = input  grid has 1st point at (0.5W,89.5S)
c     tempoi = local  grid has 1st point at (0.5E,89.5N)


      do 34 j=1,180
        do 32 i=1,360
cccc      tempoi(361-i,181-j)=rsst(i,j)
          tempoi(i,j)=rsst(i,j)
          tempoi2(i,j)=rsst(i,j)
   32   continue
        tempoi2(361,j)=tempoi2(1,j)
   34 continue
cxxx      write(6,*)  'In readoisst - ierr= ',ierr
      goto 2000

 1010 continue
         write(6,*) ' At label 1010 - ios1=',ios1
 1020 continue
         write(6,*) ' At label 1020 - ios1=',ios1
 1030 continue
         write(6,*) ' At label 1030 - ios1=',ios1
 2000 continue
         write(6,*) ' At label 2000 - ios1=',ios1


c--------------------------------------------------------


          xsst=rint(xlat,xlon)


cxxx      write(6,*)  'In readoisst - ierr= ',ierr
      return
      end

c********************************************************

      real function rint(xlat,xlon)

      real*4	tempoi(360,180)
cc      common/area1/tempoi(1,1)
      common/area1/tempoi

      if(xlon.gt.360.0.or.xlon.lt.-180.0) then
         rint=999999.99
         return
      endif
      if(xlat.gt.89.5.or.xlat.lt.-89.5) then
         rint=999999.99
         return
      endif
     
c i,j refer to bottom right of interpolation square
c     origin has been shifted to longitude zero
ccc   i=xlon+180.5


      ylon = amod(xlon+360.,360.)
      i = ylon +  0.5
      j = 90.5 -  xlat

c as does x0,y0
      x0 = real(i) -  0.5
      y0 = 90.5  - real(j)

cc    xratio=xlon-x0
      xratio=ylon-x0
      yratio=xlat-y0

c p4=upper left,p3=upper right,p6=upper interpolated
c p2=lower left,p1=lower right,p5=lower interpolated
c rint = north south interpolated
      p1=tempoi(i,j)
      p2=tempoi(i+1,j)
      p3=tempoi(i,j+1)
      p4=tempoi(i+1,j+1)
      p6=p3+(p4-p3)*xratio
      p5=p1+(p2-p1)*xratio 
      rint=p5+(p6-p5)*yratio
cccc  rint=273.15+rint
        if (mod(i,50)+mod(j,50).eq.0) then
cxxx	  write(6,'("rint: ",2i5, 2f8.2," q ",4(f8.1,f6.1))'),
cxxx     *		i,j,xlat,xlon, xratio,yratio, p1,p2,p3,p4,p5,p6,rint
        endif
      return
      end
      
