C Copyright(c) 1997, Space Science and Engineering Center, UW-Madison
C Refer to "McIDAS Software Acquisition and Distribution Policies"
C in the file  mcidas/data/license.txt

C *** $Id: m0gadde.inc,v 1.9 1999/06/08 17:51:35 scottl Rel $ ***

C  ADDE grid server/client parameters

C  Maximum Number of sort conditions per sort clause.
C  Example:  PARM=T TD U V Z .... (in this case the number
C  of plotting parameters that could be specified.

	integer MAXSORT
	parameter (MAXSORT=25)

C  Maximum number of days which can be requested.
C  If the days are explicitly requested, the max would be MAXSORT,
C  but with the DRANGE keyword, up to 1000 days could be requested.

	integer MAXDAY
	parameter (MAXDAY=1000)

C  Maximum number of times which can be requested.
C  If the times are explicitly requested, the max would be MAXSORT,
C  but with the TRANGE keyword, up to 100 times could be requested

	integer MAXTIME
	parameter (MAXTIME=100)

C  Maximum number of forecast hours (VT) which can be requested.
C  If the VT's are explicitly requested, the max would be MAXSORT,
C  but with the FRANGE keyword, up to 100 vt's could be requested

	integer MAXVT
	parameter (MAXVT=100)

C  Maximum number of grids (or grid headers) which can be sent via a server

	integer MAXSENT
	parameter (MAXSENT=999999)

C  Heartbeat signal value.  This value is sent between the server and the
C  client, signaling that the server is still running and is working on
C  the request.
	integer HEARTBEAT
        parameter (HEARTBEAT=11223344)

C  the maximum number of grids that can be used to derive a parameter

	integer MAXDRV
	parameter(MAXDRV=6)

C the number of parse strings that can be passed to server

	integer NUMPSTR
	parameter(NUMPSTR=99)
