C Copyright(c) 1997, Space Science and Engineering Center, UW-Madison
C Refer to "McIDAS Software Acquisition and Distribution Policies"
C in the file  mcidas/data/license.txt

C *** $Id: snfcom.inc,v 1.4 1997/10/10 20:16:17 dglo Exp $ ***

C --- snfcom.inc

C --- Common block used by the system navigation file system.
C --- It is meant to be identical to that used in roablk(),
C --- rnvblk(), etc. although I have not replaced the common
C --- block definitions in those routines with this include file
C --- yet. It is used in rnvnext.for(d).

C --- It is not necessary to include it in applications that call
C --- the system navigation file system

      INTEGER	COMFIL			! number of last file accessed
      INTEGER	COMSYD			! SS, date of last access
      INTEGER	DIRHMS			! actual time of last page
      INTEGER	DATHMS			! time of last request
      INTEGER	LOCALE			! page # of last request
      INTEGER	DRCTRY(MAXENT,ENTSIZ)	! directory of COMFIL
      INTEGER	COMPAG(PGSIZE)		! page 'LOCALE'
      LOGICAL	DFLAG			! DRCTRY is valid
      LOGICAL	PFLAG			! COMPAG is valid

      COMMON / SYSNAV / COMFIL, COMSYD, DIRHMS, DATHMS, LOCALE,  DRCTRY,
     &                                          COMPAG, DFLAG , PFLAG

C --- DFLAG is .FALSE. at initialization. It is set to .TRUE.
C --- when a directory is read in.

C --- PFLAG is .FALSE. at initialization and is set to .TRUE. when
C --- a page is read in. It is set to .FALSE. when dnvblk deletes
C --- the page that was in memory from the file, and when rblg()
C --- must read the directory for the first time or from a new file
C --- (rnvblk() is called right after so if the right page is found
C --- it will be put to .TRUE. again right away).

C --- DATHMS is the time of the last request. dnvblk() sets it to -1.
C --- rnvblk() sets it to the input request time.

C --- DIRHMS is the time of the last data page read into COMMON. It
C --- is set by rnvblk() when a page is read and by wnvblk() when
C --- a page is written.
