C Copyright(c) 2000, Space Science and Engineering Center, UW-Madison
C Refer to "McIDAS Software Acquisition and Distribution Policies"
C in the file  mcidas/data/license.txt

C *** $Id: stations.inc,v 1.3 2000/03/28 21:06:06 chadj Rel $ ***

       CHARACTER*4	s_state
       CHARACTER*4	s_country
       CHARACTER*12	s_id
       CHARACTER*12	s_userid
       CHARACTER*12	s_wsfo_office
       CHARACTER*24	s_continent
       CHARACTER*36	s_county
       CHARACTER*80	s_desc
       CHARACTER*16	s_typenames(64)
       CHARACTER*80	s_comments(24)
       INTEGER		s_idn
       INTEGER		s_argos
       INTEGER		s_lat
       INTEGER		s_lon
       INTEGER		s_ele
       INTEGER		s_uplat
       INTEGER		s_uplon
       INTEGER		s_upele
       INTEGER		s_bdate
       INTEGER		s_edate
       INTEGER		s_wfo_zone
       INTEGER		s_gmt_offset
       INTEGER		s_n_datatypes
       INTEGER		s_n_comments
       INTEGER		s_classification
       INTEGER		s_priority

       COMMON/fstn/
     & s_id,		! character id of station
     & s_userid,	! character user id of station
     & s_idn,		! WMO number of station
     & s_desc,		! description of station - name
     & s_argos,		! ARGOS id of station
     & s_lat,		! latitude of station (hhmmss)
     & s_lon,		! longitude of station (hhmmss)
     & s_ele,		! elevation of station (m)
     & s_uplat,		! upper air latitude (hhmmss)
     & s_uplon,		! upper air longitude (hhmmss)
     & s_upele, 	! upper air elevation (hhmmss)
     & s_bdate,		! beginning date station is valid (yyyyddd)
     & s_edate,		! ending date station is valid (yyyyddd)
     & s_state,		! state station resides
     & s_country,	! country station resides
     & s_county,	! county station resides
     & s_wfo_zone,	! weather forecast zone number station resides
     & s_wsfo_office,	! weather forecast office responsible for stn
     & s_continent,	! continent station resides
     & s_gmt_offset,	! GMS offset of station
     & s_n_datatypes,	! number of datatypes for this station
     & s_typenames,	! names of datatypes
     & s_n_comments,	! number of comments for this station
     & s_comments,	! comments
     & s_classification,! classification of this station
     & s_priority	! priority of this station for plotting

       CHARACTER*4	q_state
       CHARACTER*4	q_country
       CHARACTER*12	q_id
       CHARACTER*12	q_userid
       CHARACTER*80	q_match
       CHARACTER*36	q_county
       CHARACTER*16	q_typenames(64)
       INTEGER		q_idn
       INTEGER		q_minlat
       INTEGER		q_minlon
       INTEGER		q_maxlat
       INTEGER		q_maxlon
       INTEGER		q_mindate
       INTEGER		q_maxdate
       INTEGER		q_n_datatypes
       INTEGER		q_priority

       COMMON/fstnqry/
     & q_id,
     & q_userid,
     & q_idn,
     & q_match,
     & q_minlat,
     & q_maxlat,
     & q_minlon,
     & q_maxlon,
     & q_mindate,
     & q_maxdate,
     & q_state,
     & q_country,
     & q_county,
     & q_n_datatypes,
     & q_typenames,
     & q_priority
    
c --- external functions

       INTEGER		mcstnsetquerydefaults
       INTEGER		mcstnopenquery
       INTEGER		mcstngetnumstations
       INTEGER		mcstngetnextstation
       INTEGER		mcstnclosequery
