C Copyright(c) 1997, Space Science and Engineering Center, UW-Madison
C Refer to "McIDAS Software Acquisition and Distribution Policies"
C in the file  mcidas/data/license.txt

C *** $Id: areaparm.inc,v 1.16 2001/03/27 17:46:32 daves Exp $ ***

C  area subsystem parameters

CXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
C NOTE NOTE NOTE NOTE NOTE NOTE NOTE NOTE NOTE NOTE NOTE NOTE
CXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
C  IF YOU CHANGE THESE VALUES, YOU MUST ALSO CHANGE THEM IN
C   MCIDAS.H !!
CXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX

C
C --- MAX_BAND
C
C          Maximum number of bands within an area

      integer	  MAX_BAND
      parameter ( MAX_BAND = 64 )


C
C --- MAXDFELEMENTS
C
C           Maximum number of elements in an area line that can
C           processed by an application

      integer     MAXDFELEMENTS
      parameter ( MAXDFELEMENTS = 22000 )

C
C --- MAXOPENAREAS
C
C          Maximum number of areas that non-ADDE applications 
C          can have open simultaneously (formerly called `NA')

      integer     MAXOPENAREAS
      parameter ( MAXOPENAREAS = 6 )

C
C --- NUMAREAOPTIONS
C
C           Number of options that can be set through ARAOPT()
C           Presently it is set to 5 because there are five options
C           known to ARAOPT():
C                'PREC','SPAC','UNIT','SCAL','CALB'
C           (formerly called `NB')

      integer     NUMAREAOPTIONS
      parameter ( NUMAREAOPTIONS = 5 )

C
C --- MX_AREA_DIR_WORDS
C
C          Size (number of words) in an area directory

      integer     MX_AREA_DIR_WORDS
      parameter ( MX_AREA_DIR_WORDS = 64 )

C
C --- MAX_AUXBLOCK_SIZE
C
C          Size (in bytes) of the internal buffers used to receive
C          AUX blocks during an	ADDE transaction

      integer	  MAX_AUXBLOCK_SIZE
      parameter ( MAX_AUXBLOCK_SIZE = 1000000 )

C 
C --- MAX_AREA_NUMBER
C
C          Maximum area number allowed on system

      integer	  MAX_AREA_NUMBER
      parameter ( MAX_AREA_NUMBER = 9999 )

C 
C --- MAXAREARQSTLEN
C
C          Max length of area request string

      integer	  MAXAREARQSTLEN
      parameter ( MAXAREARQSTLEN = 4096 )

C
C --- MAX_IMAGE_FILES 
C
C          Maximum number of image files (not named AREA*) the area servers 
C          can proceess with one request

      integer     MAX_IMAGE_FILES
      parameter ( MAX_IMAGE_FILES = 10000 )
