C Copyright(c) 1997, Space Science and Engineering Center, UW-Madison
C Refer to "McIDAS Software Acquisition and Distribution Policies"
C in the file  mcidas/data/license.txt

C *** $Id: auxparm.inc,v 1.4 1997/10/10 20:16:11 dglo Exp $ ***

C  general image file AUXiliary block parameters

c --- AUX_MAGIC: This is a sequence of known bytes embedded within the
c            header of each AUXiliary block. The sequence is 01020304.
c            It is used to determine the byte order in which the elements
c            of the AUXiliary block are written.

      integer		AUX_MAGIC
      parameter		(AUX_MAGIC = Z'04030201')


c --- AUX_BUFSIZ: word size of the AUXiliary block I/O buffer
c     AUX_BUFBYT: byte size of the AUXiliary block I/O buffer

      integer		AUX_BUFSIZ
      parameter		(AUX_BUFSIZ = 1024)
      integer		AUX_BUFBYT
      parameter		(AUX_BUFBYT = AUX_BUFSIZ*4)

c --- AUX_HEDSIZ: word size of the image file AUXiliary block header
c     AUX_HEDBYT: byte size of the image file AUXiliary block header

      integer		AUX_HEDSIZ
      parameter		(AUX_HEDSIZ = 4)
      integer		AUX_HEDBYT
      parameter		(AUX_HEDBYT = AUX_HEDSIZ*4)
